/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Represents a review with location information.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LocationReview extends com.google.api.client.json.GenericJson {

  /**
   * Location resource name.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String name;

  /**
   * A review for the location.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Review review;

  /**
   * Location resource name.
   * @return value or {@code null} for none
   */
  public java.lang.String getName() {
    return name;
  }

  /**
   * Location resource name.
   * @param name name or {@code null} for none
   */
  public LocationReview setName(java.lang.String name) {
    this.name = name;
    return this;
  }

  /**
   * A review for the location.
   * @return value or {@code null} for none
   */
  public Review getReview() {
    return review;
  }

  /**
   * A review for the location.
   * @param review review or {@code null} for none
   */
  public LocationReview setReview(Review review) {
    this.review = review;
    return this;
  }

  @Override
  public LocationReview set(String fieldName, Object value) {
    return (LocationReview) super.set(fieldName, value);
  }

  @Override
  public LocationReview clone() {
    return (LocationReview) super.clone();
  }

}
